Package org.springframework.format

# Interface Parser<T>

Type Parameters:
  `T` - the type of object this Parser produces

All Known Subinterfaces:
  `Formatter<T>`

All Known Implementing Classes:
  `AbstractNumberFormatter`, `CurrencyStyleFormatter`, `CurrencyUnitFormatter`, `DateFormatter`, `DurationFormatter`, `InstantFormatter`, `MonetaryAmountFormatter`, `NumberStyleFormatter`, `PercentStyleFormatter`, `TemporalAccessorParser`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Parser<T>
Parses text strings to produce instances of T.

Since:
  3.0
Author:
  Keith Donald

## Method Summary

Modifier and Type
Method
Description
`T`
`parse(String text, Locale locale)`
Parse a text String to produce a T.

## Method Details

### parse

T parse(String text, Locale locale) throws ParseException
Parse a text String to produce a T.

Parameters:
  `text` - the text string
  `locale` - the current user locale
Returns:
  an instance of T
Throws:
  `ParseException` - when a parse exception occurs in a java.text parsing library
  `IllegalArgumentException` - when a parse exception occurs